Subject: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Alan Third <[email-masked]>
Date: Mon, 3 Jun 2019 17:41:07 +0100

On Mon, Jun 03, 2019 at 12:05:41PM +0200, Robert Pluim wrote:
> >>>>> On Mon, 3 Jun 2019 02:53:06 -0700, Aaron Jensen <[email-masked]> said:
> 
>     Aaron> (let (
>     Aaron>       ;; (gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>     Aaron>       (url-request-method "POST")
>     Aaron>       (url-request-data "{}")
>     Aaron>       (url-request-extra-headers '(("Authorization" . "token XXX")
>     Aaron>                                    ("Content-Type" . "application/json"))))
>     Aaron>   (switch-to-buffer
>     Aaron>    (url-retrieve
>     Aaron>     "https://api.github.com/repos/facebook/react/pulls"
>     Aaron>     (lambda (status)
>     Aaron>       (error "Staus: %S" status)))))
> 
>     Aaron> For me, I get a blank buffer and then a connection error.
> 
>     Aaron> If I uncomment the gnutls-algorithm-priority, it works as expected (it
>     Aaron> should 401 because of the invalid token). Like the other bug, once the
>     Aaron> connection is established once, setting gnutls-algorithm-priority or
>     Aaron> not makes no difference.
> 
> And that recipe works fine for me. Iʼll have to try again later today
> when I can use a different network that I have more control over.
> 
> One last thought: are you connecting over IPv4 or IPv6? (Iʼm currently
> on an IPv4 only network)

I can’t replicate either, although I’ve no idea what version of
libgnutls I’m using.
-- 
Alan Third